local M = {}

-- START GUI
M.start_gui_show=hash("show_start_gui")
M.play_gui_show=hash("play_gui_show")
M.start_gui_hide=hash("hide_start_gui")
M.next_level=hash("next_level")
M.prev_level=hash("prev_level")
M.current_level=hash("current_level")
M.start_level=hash("start_level")

-- INPUT BINDING

M.input_back=hash("back")
M.input_touch=hash("touch")

-- messaggi griglia ingame
M.set_grid = hash("set_grid")
M.block_dropped = hash("block_dropped")
M.block_return = hash("block_return")
M.block_uppered = hash("block_uppered")
M.block_has_room = hash("block_has_room")
M.set_pattern = hash("set_pattern")
M.set_shadow = hash("set_shadow")
M.blast= hash("blast")
M.canmove= hash("canmove")
M.check_can_move= hash("check_can_move")

-- hint
M.hide_hand = hash("hide_hand")
M.show_hand = hash("show_hand")

-- messaggi touch ..
M.pressed = hash("pressed")
M.released= hash("released")
M.drag= hash("drag")
M.rotate= hash("rotate")


-- gestione partita
M.new_game=hash("new_game")		-- nuova partita
M.game_over=hash("game_over")	-- fine partita
M.game_win=hash("game_win")		-- partita vinta

-- scoring
M.add_score=hash("add_score")	-- aggiunta punteggio
M.fullness=hash("fullness")		-- percentuale riempimento griglia

return M